using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication103
{
    class Program
    {
       static void razmeni(ref fr x, ref fr y)
        {

            fr p = x;

            x = y;

            y = p;

        }

       static int podeli(fr[] a, int leva, int desna)
        {

            int k, i;

            k = leva;

            for (i = leva + 1; i <= desna; i++)

                if (a[i].p < a[leva].p)
                {

                    razmeni(ref a[i], ref a[k + 1]);

                    k++;

                }

            razmeni(ref a[leva], ref a[k]);

            return k;

        }

       static void quickSort(fr[] a, int l, int d)
        {

            if (l < d)
            {

                int k = podeli(a, l, d);

                quickSort(a, l, k - 1);

                quickSort(a, k + 1, d);

            }

        }

      static void Sort(fr[] a, int n)
        {

            quickSort(a, 0, n - 1);

        } 
        struct fr
        {
            public double z;
            public double p;
        }
        static void Main(string[] args)
        {
            int n =int.Parse(Console.ReadLine());
            fr[] f=new fr[n];
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                f[i].z = Convert.ToDouble(s[0]);
                f[i].p = Convert.ToDouble(s[1]);
            }
            Sort(f, n);
            double max = 0;
            for (int i = 0; i < n; i++)
            {
                double uk = 0;
                for (int j = i; j < n; j++)
                {
                    uk += f[j].z * f[i].p / 100;
                }
                if (uk > max) max = uk;
            }
            Console.WriteLine(max);
            
        }
    }
}